## javax.faces.model
Class SelectItem

    java.lang.Object
      javax.faces.model.SelectItem

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SelectItemGroup

public class SelectItem
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 225333 $ $Date: 2005-07-26 11:49:19 -0400 (Tue, 26 Jul 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Constructor Summary
`SelectItem()`
`SelectItem(java.lang.Object value)`
`SelectItem(java.lang.Object value, java.lang.String label)`
`SelectItem(java.lang.Object value, java.lang.String label, java.lang.String description)`
`SelectItem(java.lang.Object value, java.lang.String label, java.lang.String description, boolean disabled)`

Method Summary
`java.lang.String` `getDescription()`
`java.lang.String` `getLabel()`
`java.lang.Object` `getValue()`
`boolean` `isDisabled()`
`void` `setDescription(java.lang.String description)`
`void` `setDisabled(boolean disabled)`
`void` `setLabel(java.lang.String label)`
`void` `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectItem

    public SelectItem()

### SelectItem

    public SelectItem(java.lang.Object value)

### SelectItem

    public SelectItem(java.lang.Object value,
                      java.lang.String label)

### SelectItem

    public SelectItem(java.lang.Object value,
                      java.lang.String label,
                      java.lang.String description)

### SelectItem

    public SelectItem(java.lang.Object value,
                      java.lang.String label,
                      java.lang.String description,
                      boolean disabled)

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean disabled)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)